Package groovy.text

# Class TemplateEngine

java.lang.Object
groovy.text.TemplateEngine

Direct Known Subclasses:
  `GStringTemplateEngine`, `MarkupTemplateEngine`, `SimpleTemplateEngine`, `StreamingTemplateEngine`, `XmlTemplateEngine`

public abstract class TemplateEngine extends Object
Represents an API to any template engine which is basically a factory of Template instances from a given text input.

Author:
  sam

## Constructor Summary

Constructors
Constructor
Description
`TemplateEngine()`

## Method Summary

Modifier and Type
Method
Description
`Template`
`createTemplate(File file)`
`abstract Template`
`createTemplate(Reader reader)`
`Template`
`createTemplate(String templateText)`
`Template`
`createTemplate(URL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TemplateEngine

public TemplateEngine()

## Method Details

### createTemplate

public abstract Template createTemplate(Reader reader) throws CompilationFailedException, ClassNotFoundException, IOException

Throws:
  `CompilationFailedException`
  `ClassNotFoundException`
  `IOException`

### createTemplate

public Template createTemplate(String templateText) throws CompilationFailedException, ClassNotFoundException, IOException

Throws:
  `CompilationFailedException`
  `ClassNotFoundException`
  `IOException`

### createTemplate

public Template createTemplate(File file) throws CompilationFailedException, ClassNotFoundException, IOException

Throws:
  `CompilationFailedException`
  `ClassNotFoundException`
  `IOException`

### createTemplate

public Template createTemplate(URL url) throws CompilationFailedException, ClassNotFoundException, IOException

Throws:
  `CompilationFailedException`
  `ClassNotFoundException`
  `IOException`